GET /events/geteventlist/{outputType}
Summary: Get disaster event list
Operation ID: getEventList
Auth: none
Operation ID: getEventList
Auth: none
Description
Retrieve a list of disaster events filtered by type, date range, and other criteria. Returns GeoJSON FeatureCollection.
Parameters (6)
alertlevel
(string, query, optional)
Filter by alert level
Constraints: {'enum': ['Green', 'Orange', 'Red']}
country
(string, query, optional)
Filter by country name or ISO3 code
eventtypes
(string, query, optional)
Comma-separated list of event types: EQ (Earthquake), TC (Tropical Cyclone), FL (Flood), VO (Volcano), DR (Drought), WF (Wild Fire)
fromDate
(string, query, optional)
Start date for event search (ISO 8601 format)
outputType
(string, path, required, default: MAP)
Output format type
Constraints: {'enum': ['MAP', 'LIST']}
toDate
(string, query, optional)
End date for event search (ISO 8601 format)
Examples (1)
| Title | Type | URL | Action |
|---|---|---|---|
| Get disaster event list | openapi-spec |
https://www.gdacs.org/gdacsapi/api/events/geteventlist/{outputType}?eventtypes=EQ,TC,FL&fromDate=2024-01-01&toDate=2024-12-31&alertlevel=Orange&country=USA |
No probe data for this endpoint yet.